## org.eclipse.datatools.modelbase.sql.query
Interface QueryDeleteStatement

All Superinterfaces:
  QueryChangeStatement, QueryStatement, SQLDataChangeStatement, SQLDataStatement, SQLObject, SQLQueryObject, SQLStatement

All Known Implementing Classes:
  QueryDeleteStatementImpl

public interface QueryDeleteStatement
extends QueryChangeStatement

A representation of the model object 'SQL Delete Statement'.

The following features are supported:

- `Where Current Of Clause`
- `Where Clause`
- `Target Table`

See Also:
  `SQLQueryModelPackage.getQueryDeleteStatement()`

Method Summary
`TableInDatabase` `getTargetTable()` Returns the value of the 'Target Table' containment reference.
`QuerySearchCondition` `getWhereClause()` Returns the value of the 'Where Clause' containment reference.
`CursorReference` `getWhereCurrentOfClause()` Returns the value of the 'Where Current Of Clause' containment reference.
`boolean` `isSetTargetTable()` Returns whether the value of the '`Target Table`' containment reference is set.
`boolean` `isSetWhereClause()` Returns whether the value of the '`Where Clause`' containment reference is set.
`void` `setTargetTable(TableInDatabase value)` Sets the value of the '`Target Table`' containment reference.
`void` `setWhereClause(QuerySearchCondition value)` Sets the value of the '`Where Clause`' containment reference.
`void` `setWhereCurrentOfClause(CursorReference value)` Sets the value of the '`Where Current Of Clause`' containment reference.
`void` `unsetTargetTable()` Unsets the value of the '`Target Table`' containment reference.
`void` `unsetWhereClause()` Unsets the value of the '`Where Clause`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Method Detail

### getWhereCurrentOfClause

    public CursorReference getWhereCurrentOfClause()

  Returns the value of the 'Where Current Of Clause' containment reference. It is bidirectional and its opposite is '`Delete Statement`'.

  If the meaning of the 'Where Current Of Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Where Current Of Clause' containment reference.
  See Also:
    `setWhereCurrentOfClause(CursorReference)`, `SQLQueryModelPackage.getQueryDeleteStatement_WhereCurrentOfClause()`, `CursorReference.getDeleteStatement()`

### setWhereCurrentOfClause

    public void setWhereCurrentOfClause(CursorReference value)

  Sets the value of the '`Where Current Of Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Where Current Of Clause' containment reference.
  See Also:
    `getWhereCurrentOfClause()`

### getWhereClause

    public QuerySearchCondition getWhereClause()

  Returns the value of the 'Where Clause' containment reference. It is bidirectional and its opposite is '`Delete Statement`'.

  If the meaning of the 'Where Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Where Clause' containment reference.
  See Also:
    `isSetWhereClause()`, `unsetWhereClause()`, `setWhereClause(QuerySearchCondition)`, `SQLQueryModelPackage.getQueryDeleteStatement_WhereClause()`, `QuerySearchCondition.getDeleteStatement()`

### setWhereClause

    public void setWhereClause(QuerySearchCondition value)

  Sets the value of the '`Where Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Where Clause' containment reference.
  See Also:
    `isSetWhereClause()`, `unsetWhereClause()`, `getWhereClause()`

### unsetWhereClause

    public void unsetWhereClause()

  Unsets the value of the '`Where Clause`' containment reference.

  See Also:
    `isSetWhereClause()`, `getWhereClause()`, `setWhereClause(QuerySearchCondition)`

### isSetWhereClause

    public boolean isSetWhereClause()

  Returns whether the value of the '`Where Clause`' containment reference is set.

  Returns:
    whether the value of the 'Where Clause' containment reference is set.
  See Also:
    `unsetWhereClause()`, `getWhereClause()`, `setWhereClause(QuerySearchCondition)`

### getTargetTable

    public TableInDatabase getTargetTable()

  Returns the value of the 'Target Table' containment reference. It is bidirectional and its opposite is '`Delete Statement`'.

  If the meaning of the 'Target Table' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Table' containment reference.
  See Also:
    `isSetTargetTable()`, `unsetTargetTable()`, `setTargetTable(TableInDatabase)`, `SQLQueryModelPackage.getQueryDeleteStatement_TargetTable()`, `TableInDatabase.getDeleteStatement()`

### setTargetTable

    public void setTargetTable(TableInDatabase value)

  Sets the value of the '`Target Table`' containment reference.

  Parameters:
    `value` - the new value of the 'Target Table' containment reference.
  See Also:
    `isSetTargetTable()`, `unsetTargetTable()`, `getTargetTable()`

### unsetTargetTable

    public void unsetTargetTable()

  Unsets the value of the '`Target Table`' containment reference.

  See Also:
    `isSetTargetTable()`, `getTargetTable()`, `setTargetTable(TableInDatabase)`

### isSetTargetTable

    public boolean isSetTargetTable()

  Returns whether the value of the '`Target Table`' containment reference is set.

  Returns:
    whether the value of the 'Target Table' containment reference is set.
  See Also:
    `unsetTargetTable()`, `getTargetTable()`, `setTargetTable(TableInDatabase)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.